import type { InputPasswordProps, InputPasswordWatches, InputTypeOnOff } from '@public-ui/schema';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class InputPasswordController extends InputIconController implements InputPasswordWatches {
    protected readonly component: Generic.Element.Component & InputPasswordProps;
    private placeholderCache?;
    constructor(component: Generic.Element.Component & InputPasswordProps, name: string, host?: HTMLElement);
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateHasCounter(value?: boolean): void;
    validateMaxLength(value?: number): void;
    validatePattern(value?: string): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
    protected onBlur(event: Event): void;
    protected onFocus(event: Event): void;
}
